Package 'milter-greylist' has no installation candidate

SYSTEM INFORMATION
OS type and version Debian 12
Webmin version 2.105
Virtualmin version 7.10
Related packages milter-greylist

Unable to setup mail rate limiting:

Reading package lists…
Building dependency tree…
Reading state information…
Package milter-greylist is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package ‘milter-greylist’ has no installation candidate

Debian 12 dropped the milter-greylist package for some reason. I checked with Debian community a few months ago due to the same issue but got no definitive response why it was dropped from bookworm apart that it was indeed dropped. It doesn’t seem likely it will return to default Bookworm repos, maybe as a backport. Apparently it’s still present in Ubuntu and RHEL distros

As a workaround, you can manually set mail rate limiting in postfix config but iirc it’s server-wide

After careful consideration, I have decided to implement a mixed distro. I have added the bullseye repository to the sources.list. The package has been installed and is functioning correctly. This swift solution appears to be the best course of action

This topic was automatically closed 8 days after the last reply. New replies are no longer allowed.